Package org.h2gis.functions.spatial.buffer

## Class ST_Buffer

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.buffer.ST_Buffer

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_Buffer
    extends org.h2gis.api.DeterministicScalarFunction

ST_Buffer computes a buffer around a Geometry. Circular arcs are approximated using 8 segments per quadrant. In particular, circles contain 32 line segments.

Author:
  Nicolas Fortin, Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_Buffer()` Default constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `buffer​(org.locationtech.jts.geom.Geometry geom, Double distance)`
`static org.locationtech.jts.geom.Geometry` `buffer​(org.locationtech.jts.geom.Geometry geom, Double distance, org.h2.value.Value value)`
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Buffer

    public ST_Buffer()

Default constructor

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### buffer

    public static org.locationtech.jts.geom.Geometry buffer​(org.locationtech.jts.geom.Geometry geom,
                                                            Double distance)

Parameters:
  `geom` - Geometry instance
  `distance` - Buffer width in projection unit
Returns:
  geom buffer around geom geometry.

#### buffer

    public static org.locationtech.jts.geom.Geometry buffer​(org.locationtech.jts.geom.Geometry geom,
                                                            Double distance,
                                                            org.h2.value.Value value)
                                                     throws IllegalArgumentException

Parameters:
  `geom` - Geometry instance
  `distance` - Buffer width in projection unit
  `value` - Int or varchar end type
Returns:
  a buffer around a geometry.
Throws:
  `IllegalArgumentException`